/*
 * Copyright 1997 Andrew Dorrell - dorrell@ihf.uts.edu.au under GNU terms
 *
 * This code is a derivative work of other copyrighted software.  See the
 * file COPYRIGHTS for more information on terms and conditions.
 */

#include <stk.h>

extern PRIMITIVE narray_bdilate();
extern PRIMITIVE narray_gdilate();
extern PRIMITIVE narray_berode();
extern PRIMITIVE narray_gerode();
extern PRIMITIVE narray_inf();
extern PRIMITIVE narray_sup();

extern PRIMITIVE narray_berode2();

PRIMITIVE
STk_init_morphology()
{
  STk_add_new_primitive("narray-bdilate",
			tc_subr_2,
			(PRIMITIVE(*)())narray_bdilate);
  STk_add_new_primitive("narray-berode",
			tc_subr_2,
			(PRIMITIVE(*)())narray_berode);
  STk_add_new_primitive("narray-gdilate",
			tc_subr_2,
			(PRIMITIVE(*)())narray_gdilate);
  STk_add_new_primitive("narray-gerode",
			tc_subr_2,
			(PRIMITIVE(*)())narray_gerode);
  STk_add_new_primitive("narray-inf",
			tc_subr_2,
			(PRIMITIVE(*)())narray_inf);
  STk_add_new_primitive("narray-sup",
			tc_subr_2,
			(PRIMITIVE(*)())narray_sup);

  STk_add_new_primitive("narray-berode2",
			tc_subr_2,
			(PRIMITIVE(*)())narray_berode2);


}


