/*
 * Copyright 1997 Andrew Dorrell - dorrell@ihf.uts.edu.au under GNU terms
 */

#include "Num_Array.hh"

typedef struct stat_type_struct {
  int num_elements,
    num_positive,
    num_negative,
    num_nonzero;
  double integral,
    pos_integral,
    neg_integral,
    min,
    max,
    mean,
    sum_square_diffs,
    sum_cube_diffs,
    sum_fourth_diffs,
    stddev,
    variance,
    skewness,
    kurtosis,
    rms;
  index_type min_position[MAX_DIMENSION],
    max_position[MAX_DIMENSION];
} stat_type;
    
	
    
